/*	TRANSPORTER
	Creating Your Web
	www.transporter.at
*/

/*------------------------------------*\
    #HEADER
\*------------------------------------*/

.section-header {
  .marginal {
    margin: 0;
    @include font-heavy;
    font-size: $micro-font-size; //$body-font-size-micro;
    @include letter-spacing;
    @media #{$medium-up} {
      position: absolute;
      top: 0;
      right: 0;
      max-width: 50%;
      text-align: right;
    }
  }
  .subheader {
    margin-bottom: 0;
  }
  h1 {
    + .list-inline:not(.bulletin-flipper) {
      overflow: auto;
      margin-top: $padding * 2;
    }
    small.label {
      position: relative;
      top: -0.15em;
      margin: 0 0 0 0.25em;
      @include font-normal;
      font-size: 0.5em;
    }
  }
  .list-inline:not(.bulletin-flipper) {
    //overflow: auto;
    li {
      float: left;
    }
  }
}

//bulletin
.section-bulletin-header {
  @media #{$medium-up} {
    padding-top: ($medium-v-padding * 0.5) !important;
    padding-bottom: ($medium-v-padding * 0.5) !important;
  }
  .bulletin-datetime-publishing {
  }
  .bulletin-datetime-validity {
    //from alien app.scss
    @include rollout;
  }

  .subheadern,
  h1 {
    line-height: 1;
  }

  .bulletin-ampm-switch {
    margin-left: 0.25em;
    vertical-align: middle;
    .switch-text {
      display: inline-block;
      margin: 0;
    }
  }

  //from alien app.scss
  &.loading {
    .bulletin-datetime-validity {
      opacity: 0.5;
    }
  }

  &.bulletin-updated {
    .bulletin-datetime-publishing {
      color: $warning-color;
    }
  }
  &.bulletin-archive {
    .bulletin-datetime-validity {
      color: $text-color;
    }
  }
}

ul.bulletin-flipper {
  line-height: 1;
  .section-bulletin-header & {
    font-size: $tiny-font-size;
  }
  @include letter-spacing;
  li {
    padding: 0 ($padding * 0.5) 0 0;
    @media #{$tiny-up} {
      padding: 0 ($padding * 2) 0 0;
    }
  }
  a {
    span {
      &:before {
        top: 0.175em;
        line-height: 0;
        @include rollover;
      }
    }
  }
  .bulletin-flipper-back {
    span:before {
      transform: translateX(0);
    }
    a {
      &:hover,
      &:active {
        span {
          &:before {
            transform: translateX(-$padding * 0.5);
          }
        }
      }
    }
  }

  .bulletin-flipper-calendar {
    // position: relative;
    line-height: 1;

    .calendar-trigger {
      display: block;
      position: relative;
      height: 1.5em;
      width: 1.5em;
      line-height: 1;

      &:before {
        z-index: -5;
        display: block;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        margin: 0;
        padding: 0;
        font-size: 2.75em;
        color: $anchor-font-color;
        @include rollout;
      }
      
      &:hover {
        &:before {
          color: $anchor-font-color-hover;
          @include rollover;
        }
      }
    }

    input {
      z-index: 5;
      // display: block;
      height: 1.5em;
      width: 1.5em;
      padding: 0;
      font-size: $tiny-font-size;
      line-height: 1;
      color: transparent;
      border-width: 0px;
      border-color: transparent;
      background-color: transparent;
      //Chrome
      &::-webkit-calendar-picker-indicator {
        background: none;
      }
    }
  }

  .bulletin-flipper-forward {
    span {
      &:before {
        margin-right: 0;
        transform: translateX(0);
      }
    }
    a {
      &:hover,
      &:active {
        span {
          &:before {
            transform: translateX($padding * 0.5);
          }
        }
      }
    }
  }
  .bulletin-flipper-latest {
  }
  .bulletin-flipper-archive {
    a {
      &:hover,
      &:active {
        display: inline-block;
      }
    }
    @media #{$tiny-up} {
      float: right;
    }
  }
}

//from alien app.scss
// @media only screen and (min-width: 64em) {
//   .page-headline header {
//     padding: 0 25px;
//   }
// }
